Bug 1128736 - Need clearer documentation for vdsClient -s 0 downloadImage and the API
Summary: Need clearer documentation for vdsClient -s 0 downloadImage and the API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Other
medium
medium
Target Milestone: m1
: 3.6.0
Assignee: Allon Mureinik
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:54 UTC by Kevin Alon Goldblatt
Modified: 2016-03-10 06:17 UTC (History)
10 users (show)

Fixed In Version: vdsm-4.17.0-632.git19a83a2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 12:58:05 UTC
oVirt Team: Storage
amureini: ovirt_requires_release_note-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 37934 master MERGED vdsm: added documentation for downloadImage method Never

Description Kevin Alon Goldblatt 2014-08-11 12:54:40 UTC
Description of problem:
Insuficient inforamtion given in the usage and in the API for the downmloadImage function in vdsClient

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch
vdsm-4.16.1-6.gita4a4614.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run vdsClient -s 0 downloadImage

Actual results:
downloadImage
	<methodArgs> <spUUID> <sdUUID> <imgUUID> [<volUUID>]
	Download an image from a remote endpoint using the specified
	methodArgs.

ALSO: No clear information is given in the API. We need a clear explanation what each method is performing and the expected result


Expected results:
 A clear list and explanation is needed for the usage. What are the methodArgs that are referred to?

Additional info:

Comment 1 Kevin Alon Goldblatt 2015-04-29 08:25:37 UTC
Verified using version:
------------------------
v3.6
ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764.el6.noarch
vdsm-4.17.0-632.git19a83a2.el7.x86_64

Verified with the following scenario:
---------------------------------------
Steps to Reproduce:
1. Run vdsClient -s 0 downloadImage


Comments:
----------------------------
The new output gives a detailed explanation of each flag including an example as can be seen below.

vdsClient -s 0 downloadImage
Error using command: need more than 0 values to unpack 

downloadImage
	<methodArgs> <spUUID> <sdUUID> <imgUUID> [<volUUID>]
	Download an image from a remote endpoint using the specified methodArgs.
	Arguments:
	    methodArgs:  Python dictionary literal specifying the download method.
	                 The dictionary must be quoted (e.g. '{"url": ...}')
	                 Keys:
	                 - url:         url of the source image
	                 - headers:     dictionary of headers (optional)
	                 - method:      currently only "http" is supported
	    spUUID:      UUID of the Storage Pool associated with the Image
	    sdUUID:      UUID of the Storage Domain associated with the Image
	    imgUUID:     UUID of the Image
	    volUUID:     UUID of the Volume (optional)
	Returns: A task UUID
	Example:
	vdsClient -s 0 downloadImage \ 
	  '{"url": "http://example.com/myimage", "headers": {"Foo": "Bar"}, "method": "http"}' \ 
	  spUUID sdUUID imgUUID


Moving to verified!

Comment 3 Sandro Bonazzola 2015-11-04 12:58:05 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.